package visualiser.viewpanel.view.tabs;

import java.awt.Component;

import javax.swing.JTabbedPane;

public class MyTabbedPane extends JTabbedPane {

	protected int oldSelectedIndex = -1;
	
	@Override
	public Component add(Component c) {
		if (getTabCount() == 0) {
			oldSelectedIndex = 0;			
		}
		return super.add(c);
	}
	
	@Override
	public void setSelectedIndex(int index){
//		if (oldSelectedIndex != getSelectedIndex()) {
			oldSelectedIndex = getSelectedIndex();
			super.setSelectedIndex(index);
//			}
	}
	
	public int getPreviouslySelectedIndex(){
		return oldSelectedIndex;
	}
}
